%define SL3 %(grep 3\\.0 /etc/redhat-release >/dev/null 2>&1 && echo 1 || echo 0)
%define SL4 %(grep 4\\.. /etc/redhat-release >/dev/null 2>&1 && echo 1 || echo 0)
%define SL5 %(grep 5\\.. /etc/redhat-release >/dev/null 2>&1 && echo 1 || echo 0)

%if %SL3 || %SL4
%define heimdal_version 0.7.2
%define heimdal_home /opt/products/heimdal/%{heimdal_version}
%endif
%if %SL5
%define heimdal_home /usr/heimdal
%endif

Summary: pam module to provide a pag on login
Name: pam_setpag
Version: 1.0
Release: 4
License: GPL
Group: System Environment/Base
Source0: %{name}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %SL5
BuildRequires: heimdal-devel
%endif

%description
This package contains a pam module that sets KRB5CCNAME and provides an AFS PAG
for every process doing a login regardless of existing kerberos ticket files.

%prep
%setup -q -n %{name}

%build

%if %SL3 || %SL4
gcc -shared -fPIC -I%{heimdal_home}/include -o pam_setpag.so pam_setpag.c %{heimdal_home}/%{_lib}/libkafs.a
%else
gcc -shared -fPIC -I%{heimdal_home}/include -o pam_setpag.so pam_setpag.c -L%{heimdal_home}/%{_lib} -Wl,-rpath,%{heimdal_home}/%{_lib} -lkafs
%endif
strip pam_setpag.so

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
install -m 755 pam_setpag.so $RPM_BUILD_ROOT/%{_lib}/security/pam_setpag.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
/%{_lib}/security/*.so

%changelog
* Thu May 10 2007 Andreas Haupt <andreas.haupt@desy.de> 1.0-4
- SL5 adoptions
* Wed Oct 11 2006 Andreas Haupt <andreas.haupt@desy.de> 1.0-3
- solaris adoptions
- implemented a workaround for newer ssh versions
* Tue Sep 26 2006 Andreas Haupt <andreas.haupt@desy.de> 1.0-2
- bugfixes
* Tue Sep 26 2006 Andreas Haupt <andreas.haupt@desy.de> 1.0-1
- initial build
